Subject: Re: bug#26566: Swap partition on GuixSD

From: Quiliro <[email-masked]>
Date: Wed, 19 Apr 2017 22:25:00 -0500

El Wed, 19 Apr 2017 23:25:40 +0200
[email-masked] (Ludovic Courtès) escribió:

> Hi Quiliro,
> 
> ng0 <[email-masked]> skribis:
> 
> > Quiliro transcribed 0.4K bytes:  
> >> The sample file for a desktop configuration on
> >> https://www.gnu.org/software/guix/manual/guix.html#System-Services
> >> does not give an example of swap-devices.
> >> 
> >> Is adding this line correct on the operating-system section in the
> >> config.scm file if my swap partition is sda2?:
> >> (swap-devices ("/dev/sda2"))  
> >
> > That should be (swap-devices '("/dev/sda2"))
> > but in theory the guix reconfigure would complain about this
> > mistake.  

Thank you ng0. :-)

> Indeed.  See
> <https://gnu.org/s/guix/manual/html_node/operating_002dsystem-Reference.html>
> (search for “swap”), or just “info -k swap” on your system.

What I mean by no example is that there is a file with other examples
and not the swap example, which I think is essential to have in a
config.scm.

> PS: BTW, this is more a message for [email-masked], the support
>     mailing list.  Emailing [email-masked] opens a new issue.

I did send my message to [email-masked]. I don't know how it ended
in this list.

-- 
Example of rude top posting:

A: Because it messes up the order in which people normally read text.
Q: Why is top-posting such a bad thing?
A: Top-posting.
Q: What is the most annoying thing in e-mail?

A: No.
Q: Should I leave quotations after my reply?

Saluton,
Quiliro
0987631031